Bug 483117 - Solfege fails to start.
Solfege fails to start.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: solfege (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Sindre Pedersen Bjørdal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-29 13:50 EST by Knut-Håvard Aksnes
Modified: 2009-06-15 22:05 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.14.2-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 22:05:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Knut-Håvard Aksnes 2009-01-29 13:50:31 EST
Description of problem:
Solfege crashes at startup due to missing esd application. 
After creating creating esd as symlink to esdcompat, the application crashes
due to missing mpd.track

Version-Release number of selected component (if applicable):

solfege-3.10.4-1.fc10.x86_64

How reproducible:

Every time


Additional info:

A trace follows

[kha@localhost ~]$ solfege 
/usr/bin/solfege: line 9: esd: command not found
Traceback (most recent call last):
  File "/usr/libexec/solfege-bin", line 75, in <module>
    import src.mainwin
  File "/usr/share/solfege/src/mainwin.py", line 163, in <module>
    import tracebackwindow
  File "/usr/share/solfege/src/tracebackwindow.py", line 19, in <module>
    import reportbug
  File "/usr/share/solfege/src/reportbug.py", line 23, in <module>
    import gu
  File "/usr/share/solfege/src/gu.py", line 21, in <module>
    import soundcard
  File "/usr/share/solfege/soundcard/__init__.py", line 30, in <module>
    from mpd.track import Track, PercussionTrack
ImportError: No module named track
/usr/bin/solfege: line 17: kill: (15109) - No such process
[kha@localhost ~]$ su
Password: 
[root@localhost kha]# cd /usr/local/bin/
[root@localhost bin]# ln -s /usr/bin/esdcompat esd
[root@localhost bin]# cd
[root@localhost ~]# exit
[kha@localhost ~]$ rm -rf .solfege
[kha@localhost ~]$ solfege 
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
I: caps.c: Dropping root privileges.
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
Traceback (most recent call last):
  File "/usr/libexec/solfege-bin", line 75, in <module>
    import src.mainwin
  File "/usr/share/solfege/src/mainwin.py", line 163, in <module>
    import tracebackwindow
  File "/usr/share/solfege/src/tracebackwindow.py", line 19, in <module>
    import reportbug
  File "/usr/share/solfege/src/reportbug.py", line 23, in <module>
    import gu
  File "/usr/share/solfege/src/gu.py", line 21, in <module>
    import soundcard
  File "/usr/share/solfege/soundcard/__init__.py", line 30, in <module>
    from mpd.track import Track, PercussionTrack
ImportError: No module named track
/usr/bin/solfege: line 17: kill: (16805) - No such process
[kha@localhost ~]$
Comment 1 Fedora Update System 2009-05-29 09:48:08 EDT
solfege-3.14.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/solfege-3.14.2-1.fc10
Comment 2 Sindre Pedersen Bjørdal 2009-05-29 09:50:06 EDT
I believe this issue has been resolved with theh 3.14.2 update. Can you please confirm? https://admin.fedoraproject.org/updates/solfege-3.14.2-1.fc10
Comment 3 Knut-Håvard Aksnes 2009-05-30 10:34:10 EDT
Solfege works now :-)
Comment 4 Fedora Update System 2009-06-02 10:33:51 EDT
solfege-3.14.2-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update solfege'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5796
Comment 5 Fedora Update System 2009-06-15 22:05:47 EDT
solfege-3.14.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.